#include <iostream>
#include <string>
#include <sstream>

using namespace std;

int main(int argc, char** argv) {
	
	int k1, k2;
	string s, k;
	cin >> s;
	cin >> k1 >> k2;

	if(k1 == k2)
	{
		for(int i = 0; i < k1; i++)
		{
			cout << s;
		}
	}
	else
	{
		if(k1 == k2 + 1)
		{
			for(int i = 0; i < k1; i++)
			{
				cout << s;
			}
			cout << s[0];
		}
		else
		{
			if(k1 + 1 == k2)
			{
				cout << s[1];
				for(int i = 0; i < k1; i++)
				{
					cout << s;
				}
			}
			else
			{
				cout << "Nemoguce";
			}
		}
	}
}